<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_GET[id_str];
$id_par=$_REQUEST[id_par];

// list expected fields
$expected = array('q_naslov','q_prikaznaslov','q_opis','q_centar','q_tekst','q_model');
// set req_uired fields
$required = array('q_model');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {

	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_opis=uredi_var($q_opis);
	
	
	$new_fajl='';
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_opis_mysql=mysql_real_escape_string($q_opis);
	
	$result = mysql_query("update b7_paragraf set 
							naslov='$q_naslov_mysql',
							opis='$q_opis_mysql',				
							prikaznaslov='$q_prikaznaslov',
							html_center='$q_centar',
							user='$log_username',
							datum=now() 
							where id_paragraf='$id_par'");
							
							
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno promjenjeni parametri za paragraf u bazi<br />';
		
		
		if ($q_prikaznaslov==1) {
			$tekst_novi='<h2>'.$q_naslov.'</h2>'."\r\n";
		} else {
			$tekst_novi='';
		}
		
		if ($q_model==8) {
			//ucitaj ime fajla
			$sql98="SELECT fajl FROM b7_paragraf WHERE id_paragraf='$id_par'";	
			$rez98=mysql_query($sql98,$conn);
			$row98=mysql_fetch_array($rez98);
			$new_fajl=$row98['fajl'];
			
			if ($q_centar==1) $tekst_novi.='<center>'."\r\n";
			$tekst_novi.=$q_tekst;
			if ($q_centar==1) $tekst_novi.="\r\n".'</center>';
		
		} 	
	
		//spremi tekst u bazu
		//pripremi za unos u bazu
		$q_tekst_mysql=mysql_real_escape_string($q_tekst);
		$result = mysql_query("update b7_paragraf_tekst set		
							tekst='$q_tekst_mysql',
							user='$log_username',
							datum=now() 
							where id_paragraf='$id_par'");
							
		//spremi tekst u fajl
		$file2open = $parametar_tekst_direktorij . $new_fajl;
		if (!$listfile = fopen($file2open, 'w'))
		{
			$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
		} else
		{
			fwrite($listfile, $tekst_novi);
			if (!fclose($listfile))
			{
				$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
			}
		}
		
		
	}				
	
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}
?>
<div id="main_content">
<h1>Spremanje sadržaja u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_paragrafi&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>&amp;id_str=<?php echo $id_str;?>">Povratak...</a>
</div>